Docs

Get Schema

GET /documents/schema

GET/documents/schema

Returns the queryable entities (such as Crew, Collaborator, Area, Activity, Task) with their properties, navigations, collections and dynamic property bags, resolved for the event. Use it to build a QueryBlock before running DynamicDocs_ExecuteQuery. Requires the EventDocumentsEdit permission.

Response

Type: GetSchemaResponse[]

GetSchemaResponse

FieldTypeDescription
namestring| null
labelstring| null
isBaseEntityboolean
propertiesSchemaPropertyResponse[]| null
navigationsSchemaNavigationResponse[]| null
collectionsSchemaNavigationResponse[]| null
ownedSubNavigationsSchemaOwnedSubNavigationResponse[]| null
dynamicBagsSchemaOwnedSubNavigationResponse[]| null

SchemaPropertyResponse

FieldTypeDescription
namestring| null
labelstring| null
typestring| null
isFilterableboolean
isSelectableboolean
isSortableboolean
isDynamicBagboolean
optionsSchemaPropertyOption[]| null

SchemaNavigationResponse

FieldTypeDescription
namestring| null
targetEntitystring| null

SchemaOwnedSubNavigationResponse

FieldTypeDescription
namestring| null
propertiesSchemaPropertyResponse[]| null

SchemaPropertyOption

FieldTypeDescription
labelstring| null
valuestring| null